Dataset Versions
Dataset Versions
GET /api/v1/dataset-versions/{id}/splits
Get Splits By Version I D
getSplitsByVersionID gets splits for a version using just the version ID (no dataset_id required)
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/dataset-versions/{id}/splitsGET /api/v1/datasets/{dataset_id}/versions
Get Dataset Versions
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versionsPOST /api/v1/datasets/{dataset_id}/versions
Create Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
Request Body
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Response
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versionsGET /api/v1/datasets/{dataset_id}/versions/{id}
Get Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
Response
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}PUT /api/v1/datasets/{dataset_id}/versions/{id}
Update Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
Request Body
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Response
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}DELETE /api/v1/datasets/{dataset_id}/versions/{id}
Delete Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}GET /api/v1/datasets/{dataset_id}/versions/{id}/download
Get Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}/downloadGET /api/v1/datasets/{dataset_id}/versions/{id}/download/{split_id}
Get Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
split_id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}/download/{split_id}POST /api/v1/datasets/{dataset_id}/versions/{id}/new
Create duplicate Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
Request Body
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Response
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}/newPOST /api/v1/datasets/{dataset_id}/versions/{id}/upload
Create Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
Response
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}/uploadPOST /api/v1/datasets/{dataset_id}/versions/{id}/upload/{format}
Create Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
dataset_id | path | string | true |
id | path | string | true |
format | path | string | true |
Response
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/datasets/{dataset_id}/versions/{id}/upload/{format}GET /api/v1/datasetversions/{id}
Get Dataset Version
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: DatasetVersion
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
labels | []Label | |
user_id | string | |
dataset_id | uuid.UUID | |
splits | []DatasetSplit | |
default_split | string | |
config | string |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/datasetversions/{id}